メインコンテンツへスキップ
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
invitations
/
{invitation_id}
アカウント招待を更新
curl --request PATCH \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/invitations/{invitation_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignments": [
    {
      "capability_key": "<string>",
      "group_id": "<string>",
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role_key": "<string>"
    }
  ],
  "note": "<string>"
}
'
{
  "assignments": [
    {
      "assignment_kind": "<string>",
      "position": 123,
      "capability_key": "<string>",
      "grant_kind": "<string>",
      "group_id": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource_type": "<string>",
      "role_key": "<string>"
    }
  ],
  "email": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "permission_context": {
    "assigned_bundle_keys": [
      "<string>"
    ],
    "direct_capability_keys": [
      "<string>"
    ],
    "owner_assignments": [
      {
        "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "resolved_capability_keys": [
      "<string>"
    ],
    "status": "active",
    "subject_id": "",
    "subject_type": "unknown"
  },
  "status": "<string>",
  "accepted_at": "2023-11-07T05:31:56Z",
  "accepted_subject_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "note": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

パスパラメータ

invitation_id
string<uuid>
必須
account_id
string<uuid>
必須

ボディ

application/json

保留中のユーザー招待を更新するためのリクエスト スキーマ。

assignments
招待割り当てリクエスト · object[]
必須
Minimum array length: 1
note
string | null

レスポンス

assignments
招待割り当てレスポンス · object[]
必須
email
string
必須
id
string<uuid>
必須
permission_context
権限InspectabilitySnapshot · object
必須

ユーザー、グループ、および招待状の管理のための共有検査可能性スナップショット。

status
string
必須
accepted_at
string<date-time> | null
accepted_subject_id
string | null
created_at
string<date-time> | null
expires_at
string<date-time> | null
note
string | null